Subject: Re: [X2Go-Dev] Bug#1126: Bug#1126: x2go session disconnects causing an issue with a program or caused by an issue with a program

From: Stefan Baur <[email-masked]>
Date: Tue, 20 Dec 2016 18:04:55 +0100

Hi Ulrich,

that is indeed how you should proceed, IMO.
Mihai or Mike#1 (see CC) should be able to tell you exactly which
packages out of the NX-lib bundle you should install (some end in -dev
or -debug; not sure if you should install them to help the devs gain
meaningful output in case it still crashes, or if you should not install
them to make the installation as X2Go-ish as possible).

Kind Regards,
Stefan Baur

Am 20.12.2016 um 17:09 schrieb Ulrich Langenbach:
> Hi Stefan,
> 
> we can setup an extra box with ubuntu 14.04 to test this issue.
> 
> We already compiled the sources as provded via the Arctica Project github repo 
> for ubuntu trusty into deb packages. On our testbox we would install the x2go 
> packages from the nightly (heuler) ppa and afterwards the custom build nx-
> libs.
> 
> Is this the way you would like us to test the new library setup?
> 
> Thank you,
> Ulrich
> 
> Am Montag, 19. Dezember 2016, 19:53:00 schrieb Stefan Baur:
>> Am 18.12.2016 um 20:11 schrieb Ulrich Langenbach:
>>> This is really annoying, especially as this may ruin some hours of work
>>> and/or compute. The bug seems to be only triggered by one of our most
>>> used EDA tools, Vivado, especially in its version 2016.2.
>>>
>>> As this issue is probably complicated to reproduce, find and fix, a
>>> workaround is also very appreciated.
>>
>> My guess is that you're seeing these crashes due to the age of the
>> libraries we currently ship.
>>
>> Would you be able to set up a test server, where you could install the
>> nightly builds of X2GoServer, and patch the latest version of the
>> NX-Libs (currently in development over at the Arctica Project) into that?
>>
>> Note that this is something you should not be doing on a production
>> server, unless you have a full backup you can fall back to, fast, in
>> case of errors.
>>
>> If so, please "ping back", and we'll see to provide you with detailed
>> instructions.
>>
>> Kind Regards,
>> Stefan Baur
> 

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243